<?php
@session_start();

$mandant_name = $_SESSION[ "mandant_name" ];


include_once( "f_admin.php" );
include_once( "f_wfl.php" );
include_once( "kd_einsprungspunkte.php" );



///////////////////////////////
// Darf der Benutzer diese Seite sehen?

$exec = besitzt_benutzer_systemrecht( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "ADMIN_WERTEMENGE" );

if ( ( $exec[ 0 ] != 1 ) && ( mb_strtoupper( $_SESSION[ "benutzer_anmeldename" ], "UTF-8" ) != "SUPERUSER" ) )
{
	header( "Location: us_uebersicht.php" );
}

///////////////////////////////




$_SESSION[ "title" ] = "Administratorbereich Wertemengen";
include( 'ssi_header.php' );

$_SESSION[ "title" ] = "";

if ( mb_strtoupper( $_SESSION[ "benutzer_anmeldename" ], "UTF-8" ) == "SUPERUSER" )
{
	include( "su_menu.php" );
}
else
{
	include( "ad_menu.php" );
}
// <input type="button" value="Anlegen" style="width:150px;margin-left:10px;" onclick="ajaxFunction( \'su_web.php?cmd=wertemenge_anlegen&mandant_name=\'+encodeURIComponent( \''.$mandant_name.'\' ), \'wertemenge_ergebnis_3\' );" />



echo "<div style='margin-left:200px; padding-bottom:30px;  min-height:550px;'>";
$kategorien = liefere_wertemengen_kategorien( $mandant_name );

?>

<select size="20" name="users"  id="select_style_2" onchange="$( '#wertemenge_ergebnis_2' ).html( $( '#excellent' ).html() ); fuelle_element( 'wertemenge_ergebnis_3', ' ' );  fuelle_element( 'wertemenge_ergebnis_1', ' ' ); ajaxFunction( 'su_web.php?cmd=liefere_wertemenge_kuerzel_nach_kategorien&kategorie='+encodeURIComponent( this.value )+'&mandant_name='+encodeURIComponent( '<?php echo $mandant_name; ?>' ), 'div_select' );" >';


<?php

if ( $kategorien[ 0 ] > 0 )
{
	foreach ( $kategorien[ 2 ] as $kategorie )
	{
		echo "<option value='".$kategorie."'>".$kategorie."</option>";
	}
}
echo '</select><div id="div_select" style="display:inline;" >';


echo '<select size="20" name="users"  id="select_style_1" onchange="fuelle_element( \'wertemenge_ergebnis_3\', \' \' ); ajaxFunction( \'su_web.php?cmd=liefere_wertemenge&wertemenge_kuerzel=\'+encodeURIComponent( this.value )+\'&mandant_name=\'+encodeURIComponent( \''.$mandant_name.'\' ), \'wertemenge_ergebnis_1\' ); ajaxFunction( \'su_web.php?cmd=liefere_wertemenge_optionen&wertemenge_kuerzel=\'+encodeURIComponent( this.value )+\'&mandant_name=\'+encodeURIComponent( \''.$mandant_name.'\' ), \'wertemenge_ergebnis_2\' ); "  >';



	echo "</select></div>";
	
	





	echo '<div name="wertemenge_ergebnis_1" id="wertemenge_ergebnis_1" style=" vertical-align:top; position:absolute;  display:inline; margin-top:10px;" ></div>';
	
	


	echo '<div name="wertemenge_ergebnis_2" id="wertemenge_ergebnis_2" style=" margin-top:10px;" ><input type="button" value="Anlegen" style="width:150px;margin-left:10px;" onclick="ajaxFunction( \'su_web.php?cmd=wertemenge_anlegen&mandant_name=\'+encodeURIComponent( \''.$mandant_name.'\' ), \'wertemenge_ergebnis_3\' );" /></div>';

	echo '<div name="excellent" id="excellent" style=" margin-top:10px; display:none;" ><input type="button" value="Anlegen" style="width:150px;margin-left:10px;" onclick="ajaxFunction( \'su_web.php?cmd=wertemenge_anlegen&mandant_name=\'+encodeURIComponent( \''.$mandant_name.'\' ), \'wertemenge_ergebnis_3\' );" /></div>';

	
	echo '<div name="wertemenge_ergebnis_3" id="wertemenge_ergebnis_3" style=" margin-top:10px;" >'.$_SESSION[ "meldung_su" ].'</div>';
	$_SESSION[ "meldung_su" ] = "";

echo "</div>";

include( 'ssi_footer.php' );

?>